cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Can't see OpenStreetMap widget after installing the extension

olatz
12-Amethyst

Can't see OpenStreetMap widget after installing the extension

Hi,

 

I have a Thingworx 8.5.2 platform installed. I am trying to use OpenStreetMap Widget but, after installing the extension I can't see it in the Widget list of the mashup. During the installation, I didn't get any error or warning message.

Attached OpenStreetMap version detail and widgets list detail.

 

Thanks in advance.

 

Olatz.

 

 

 

1 ACCEPTED SOLUTION

Accepted Solutions
slangley
23-Emerald II
(To:olatz)

Hi @olatz.

 

Are you referring to the widget that used to be available on the Marketplace?  If so, it's not likely that it is compatible with ThingWorx 8.5.2.  Since support is not available for this widget, we are unable to confirm.

 

You should be able to use the widget as a starting point for creating your own.  Please refer to these resources for assistance:

 

Create a Mashup Widget Extension

Best Practices for Packaging and Deploying ThingWorx Applications

 

Regards.

 

--Sharon

 

View solution in original post

7 REPLIES 7
slangley
23-Emerald II
(To:olatz)

Hi @olatz.

 

Are you referring to the widget that used to be available on the Marketplace?  If so, it's not likely that it is compatible with ThingWorx 8.5.2.  Since support is not available for this widget, we are unable to confirm.

 

You should be able to use the widget as a starting point for creating your own.  Please refer to these resources for assistance:

 

Create a Mashup Widget Extension

Best Practices for Packaging and Deploying ThingWorx Applications

 

Regards.

 

--Sharon

 

slangley
23-Emerald II
(To:slangley)

Hi @olatz.

 

If the previous response answered your question, please mark it as the Accepted Solution for the benefit of others on the community.

 

Regards.

 

--Sharon

olatz
12-Amethyst
(To:slangley)

Hi Sharon,

 

If the OpenStreetMap widget is not ready for use on platform 8.5.2, which map widget could I use? I only can find a google widget, it is the only one that works nowadays on version 8.5.2?

 

Thanks.

 

Olatz.

slangley
23-Emerald II
(To:olatz)

Hi @olatz.

 

We may have some new widgets on the Markeplace in the future, but details are not currently available.

 

If you are unable to write your own widget, you can reach out to our Sales team for engaging with our Services group.  They may be able to provide the assistance you need for writing an extension with the functionality needed.

 

Regards.

 

--Sharon

slangley
23-Emerald II
(To:slangley)

Hi @olatz.

 

Unfortunately, the widget provided is no longer supported.  Please reach out to our Sales team for engaging with our Services group.  They may be able to provide the assistance you need for writing an extension with the required functionality.

 

Regards.

 

--Sharon

Yes, the Google Maps widget works with 8.5 but Google now requires a developer key to display maps

 

An updated version of the OpenStreetMap widget can be downloaded here:

https://community.ptc.com/t5/ThingWorx-Developers/OpenStreetMap-extension-error-in-Thingworx-8-5/m-p...

olatz
12-Amethyst
(To:Rick-Stanley)

Hi Rick,

That's the widget I am using and doesn't work on platform 8.5.2.

 

Regards.

 

Olatz

Announcements